X
Tik hier voor de mobiele versie van de website.

Ondersteuningsforum

Installed Flash update. Firefox disagrees. Adobe says its already installed. Mint seems to agree.

Geplaatst

Nothing seems to work. An appropriate plugin seems to be installed and, after downloading the latest version from Adobe, a retry informed me that Flash was already installed. Firefox does not agree. The download from Adobe informs me that upgrading is a 3-stage process but takes me no further than stage 1. This used to be a doddle under XP. You just found and ran the executable file in the Download folder. I can find no executable files in my Download folder. My current Linux version is 18.3 Sylvia. I am sure that this used to be handled automatically by Firefox updates in previous Mint versions. Now, however, it doesn't seem to matter what I try - whether using the Mint's Software function or going onto Adobe's download page. I always seem to finish up in the same place with the computer just looking at me and declaring that Flash is already installed. The Firefox Addons list includes Flash but nothing I do will get it working.

Nothing seems to work. An appropriate plugin seems to be installed and, after downloading the latest version from Adobe, a retry informed me that Flash was already installed. Firefox does not agree. The download from Adobe informs me that upgrading is a 3-stage process but takes me no further than stage 1. This used to be a doddle under XP. You just found and ran the executable file in the Download folder. I can find no executable files in my Download folder. My current Linux version is 18.3 Sylvia. I am sure that this used to be handled automatically by Firefox updates in previous Mint versions. Now, however, it doesn't seem to matter what I try - whether using the Mint's Software function or going onto Adobe's download page. I always seem to finish up in the same place with the computer just looking at me and declaring that Flash is already installed. The Firefox Addons list includes Flash but nothing I do will get it working.
Citeren

Aanvullende systeemdetails

Geïnstalleerde plug-ins

  • Shockwave Flash 32.0 r0

Toepassing

  • Useragent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:70.0) Gecko/20100101 Firefox/70.0

Meer informatie

James
  • Top 25 Contributor
  • Moderator
1603 oplossingen 11348 antwoorden

It appears you do have a Flash Player 32.0 (NPAPI) version installed on your system as per your More System Details beside your post.

No version of Firefox for Windows, Mac OSX, or Linux has ever come with the Flash Plugin or manages the Flash Player updates.

The Flash Player Plugin is from Adobe and is installed on your system and not in Firefox like Extensions are. You can type about:plugins in your Location (address) bar to see the Flash Plugin that Firefox is making use of and where it is located on your system

https://support.mozilla.org/en-US/kb/keep-flash-up-to-date-and-troubleshoot-problems

The article suggests to put the libflashplayer .so extracted from .tar.gz (NPAPI version) you get from Adobe and put it in a created plugins folder in /usr/lib/mozilla/plugins

I prefer to put the libflashplayer .so in /home/username/.mozilla/plugins/

Note the you need to create the plugins folder as it normally does not exist there. If Firefox is still running when you install the Flash Player Plugin either restart Firefox or type about:plugins in your Location (address) bar so Firefox will scan for it.

It appears you do have a Flash Player 32.0 (NPAPI) version installed on your system as per your More System Details beside your post. No version of Firefox for Windows, Mac OSX, or Linux has ever come with the Flash Plugin or manages the Flash Player updates. The Flash Player Plugin is from Adobe and is installed on your system and not in Firefox like Extensions are. You can type '''about:plugins''' in your Location (address) bar to see the Flash Plugin that Firefox is making use of and where it is located on your system https://support.mozilla.org/en-US/kb/keep-flash-up-to-date-and-troubleshoot-problems The article suggests to put the libflashplayer .so extracted from .tar.gz (NPAPI version) you get from Adobe and put it in a created plugins folder in /usr/lib/mozilla/plugins I prefer to put the libflashplayer .so in /home/username/.mozilla/plugins/ Note the you need to create the plugins folder as it normally does not exist there. If Firefox is still running when you install the Flash Player Plugin either restart Firefox or type '''about:plugins''' in your Location (address) bar so Firefox will scan for it.
Was dit nuttig voor u?
Citeren

Vraageigenaar

I regret it if I appear to be particularly thick over this issue but I am afraid that, after following your advice, I am no further forward. I used Firefox's menu to display Addon-Plugins, which informed me that Flash was installed but was vulnerable due to being out of date. If I click the ellipsis to 'Ask to Activate' or the tab below it, accompanying the message telling me that the installed version was unsuitable, and inviting me to update it, all that happens, in both cases, is that I am redirected to Adobe's Flash update page and invited to invoke stage 1 of the update process by downloading the appropriate new version. But since I have already done this, Adobe tells me the new version is already installed, presumably from my initial attempt to update. I have no idea what has been downloaded or in what folder/directory it is to be found. It is certainly not in Downloads. Even if I found it, what would I then do with it? Adobe provides me with no obvious path to proceed to stage 2 nor any means to request any other sort of download other than the one it offers. Sorry; I am just round in circles with no 'Exit' sign in sight.

I regret it if I appear to be particularly thick over this issue but I am afraid that, after following your advice, I am no further forward. I used Firefox's menu to display Addon-Plugins, which informed me that Flash was installed but was vulnerable due to being out of date. If I click the ellipsis to 'Ask to Activate' or the tab below it, accompanying the message telling me that the installed version was unsuitable, and inviting me to update it, all that happens, in both cases, is that I am redirected to Adobe's Flash update page and invited to invoke stage 1 of the update process by downloading the appropriate new version. But since I have already done this, Adobe tells me the new version is already installed, presumably from my initial attempt to update. I have no idea what has been downloaded or in what folder/directory it is to be found. It is certainly not in Downloads. Even if I found it, what would I then do with it? Adobe provides me with no obvious path to proceed to stage 2 nor any means to request any other sort of download other than the one it offers. Sorry; I am just round in circles with no 'Exit' sign in sight.
Was dit nuttig voor u?
Citeren

Vraageigenaar

I remain very grateful for the help I have received but, having not yet been offered a solution, and being just as stuck as when I started, I decided that it was a case of 'physician heal thyself'. I finally discovered the following command-line solution on YouTube:-

sudo apt-add-repository ppa:nilarimogard/webupd8 followed by:- sudo apt-get update followed by:- sudo apt-get install freshplayerplugin (The latter command carries the warning that it can take a considerable time to complete, suggesting that up to ten, or even fifteen, minutes may be required. In my case it was quite a big job but not that extensive.) I hope I have got all the spaces in the right place, in what I have copied above, but that is one of the less joyful aspects of Linux. If you are forced into command line operation then if, like me, you happen to be an 80 year-old, newbie user it could well turn out to be a case of 'heaven help you'. There may be nothing other than divine intervention that will.

I remain very grateful for the help I have received but, having not yet been offered a solution, and being just as stuck as when I started, I decided that it was a case of 'physician heal thyself'. I finally discovered the following command-line solution on YouTube:- sudo apt-add-repository ppa:nilarimogard/webupd8 followed by:- sudo apt-get update followed by:- sudo apt-get install freshplayerplugin (The latter command carries the warning that it can take a considerable time to complete, suggesting that up to ten, or even fifteen, minutes may be required. In my case it was quite a big job but not that extensive.) I hope I have got all the spaces in the right place, in what I have copied above, but that is one of the less joyful aspects of Linux. If you are forced into command line operation then if, like me, you happen to be an 80 year-old, newbie user it could well turn out to be a case of 'heaven help you'. There may be nothing other than divine intervention that will.
Was dit nuttig voor u?
Citeren
James
  • Top 25 Contributor
  • Moderator
1603 oplossingen 11348 antwoorden

freshplayerplugin is something that was made some years ago back when Adobe only supported NPAPI version of the Flash Player Plugin with the old 11.2 esr branch. It was a wrapper to get the PPAPI (Pepper Flash) version used in Chrome/Chromium to work in web browsers like Firefox and SeaMonkey in order to have the more current branch version of Flash then.

Adobe has been fully supporting Linux and web browsers that use NPAPI Plugins like Firefox and SeaMonkey again since mid-December 2016. So no need to use the freshplayer wrapper plugin.

The current version of Flash (NPAPI) for Firefox is at https://get.adobe.com/flashplayer/ and they have different options of installing depending on your Linux distro like APT, YUM, .RPM, and tar.gz

If you have the needed repository setup you can likely use your package manager to install the current Flash Player (NPAPI) for Firefox. The PPAPI or Pepper Flash is used by Chromium/Chrome.


To see what version you have installed on your system you can type about:plugins in the Location (address) bar as I said earlier to see the exact version of Flash Plugin that Firefox is making use of and where it is located on your system.

freshplayerplugin is something that was made some years ago back when Adobe only supported NPAPI version of the Flash Player Plugin with the old 11.2 esr branch. It was a wrapper to get the PPAPI (Pepper Flash) version used in Chrome/Chromium to work in web browsers like Firefox and SeaMonkey in order to have the more current branch version of Flash then. Adobe has been fully supporting Linux and web browsers that use NPAPI Plugins like Firefox and SeaMonkey again since mid-December 201'''6'''. So no need to use the freshplayer wrapper plugin. The current version of Flash (NPAPI) for Firefox is at https://get.adobe.com/flashplayer/ and they have different options of installing depending on your Linux distro like APT, YUM, .RPM, and tar.gz If you have the needed repository setup you can likely use your package manager to install the current Flash Player (NPAPI) for Firefox. The PPAPI or Pepper Flash is used by Chromium/Chrome. To see what version you have installed on your system you can type '''about:plugins''' in the Location (address) bar as I said earlier to see the exact version of Flash Plugin that Firefox is making use of and where it is located on your system.

Bewerkt door James op

Was dit nuttig voor u?
Citeren

Vraageigenaar

Was it Sod's law or someone just having a laugh? I was quite certain that I was at one stage receiving automatic Adobe Flash updates. I just misidentified the source. They were Linux updates rather than Firefox. My mistake.

Ironically, after months without a Flash player and more days that I care to admit to, trying to sort things out, on the evening of the very day that I discovered the command-line sequence that resolved the issue, I received notification that, under my currently supported Linux distro, I had an Adobe Flash update awaiting download!!!!!!.

Was it Sod's law or someone just having a laugh? I was quite certain that I was at one stage receiving automatic Adobe Flash updates. I just misidentified the source. They were Linux updates rather than Firefox. My mistake. Ironically, after months without a Flash player and more days that I care to admit to, trying to sort things out, on the evening of the very day that I discovered the command-line sequence that resolved the issue, I received notification that, under my currently supported Linux distro, I had an Adobe Flash update awaiting download!!!!!!.
Was dit nuttig voor u?
Citeren

Vraageigenaar

Was it Sod's Law or was someone just having a laugh? I had rightly remembered that Adobe Flash player enjoy periodic updates. I just got the source wrong. It was a Linux service rather than Firefox. I hate to admit to the time I spent trying to resolve the missing Flash issue but on the day that I found the command line sequence, quoted earlier, that provided the answer, on that very same evening my Linux supported distro offered me an Adobe Flash update!!!!!!

Was it Sod's Law or was someone just having a laugh? I had rightly remembered that Adobe Flash player enjoy periodic updates. I just got the source wrong. It was a Linux service rather than Firefox. I hate to admit to the time I spent trying to resolve the missing Flash issue but on the day that I found the command line sequence, quoted earlier, that provided the answer, on that very same evening my Linux supported distro offered me an Adobe Flash update!!!!!!
Was dit nuttig voor u?
Citeren
Zack 1 oplossingen 49 antwoorden

Let's verify that the plugin is installed locally. If you're on Linux and running bash as your shell, try running this: [pc@user]$ ls $MOZ_PLUGIN_PATH If it is locally installed, you should see a libflashplayer.so file. If it is locally installed yet you don't see Shockwave Flash plugin in about:plugins, well... I'm also stuck on that at the moment.

Let's verify that the plugin is installed locally. If you're on Linux and running bash as your shell, try running this: [pc@user]$ ls $MOZ_PLUGIN_PATH If it is locally installed, you should see a libflashplayer.so file. If it is locally installed yet you don't see Shockwave Flash plugin in about:plugins, well... I'm also stuck on that at the moment.

Bewerkt door Zack op

Was dit nuttig voor u?
Citeren

Vraageigenaar

Whoa! That puts me well above my pay grade. I am just a humble user and a very long way from being a developer. I only use the command line when I am absolutely forced to. I have heard of Bash but that's about it. I probably entered what you suggested entirely wrongly because all I got was 'command not recognized'. If you would provide me with step by step instructions, I'll have another go but, in the mean time, you might like to look at my earlier reply (above) where I quote 3 command line instructions which, when sequentially entered, certainly got Flash installed for me. You might also like to look at my later post where I described my annoyance when my automatic Linux Mint update, under Sylvia, was issued on the very evening of the day that I made the manual entries. The Flash update is certainly in the repository somewhere, it would appear, although I couldn't find it when I looked. All I can tell you is that both manual and automatic options seemed to work, in as far as after both updates, manual and automatic, the Flash player was clearly working where it had not been for months previously. I have just rechecked and can confirmed that that is still the case.

Whoa! That puts me well above my pay grade. I am just a humble user and a very long way from being a developer. I only use the command line when I am absolutely forced to. I have heard of Bash but that's about it. I probably entered what you suggested entirely wrongly because all I got was 'command not recognized'. If you would provide me with step by step instructions, I'll have another go but, in the mean time, you might like to look at my earlier reply (above) where I quote 3 command line instructions which, when sequentially entered, certainly got Flash installed for me. You might also like to look at my later post where I described my annoyance when my automatic Linux Mint update, under Sylvia, was issued on the very evening of the day that I made the manual entries. The Flash update is certainly in the repository somewhere, it would appear, although I couldn't find it when I looked. All I can tell you is that both manual and automatic options seemed to work, in as far as after both updates, manual and automatic, the Flash player was clearly working where it had not been for months previously. I have just rechecked and can confirmed that that is still the case.
Was dit nuttig voor u?
Citeren
Zack 1 oplossingen 49 antwoorden

You got 'command not recognized'? I assume you're running bash. You can check in the terminal by running "echo $SHELL". Most people set their shell to /bin/bash. ls should come with bash. Try running "which ls" or "man ls" to see if the $PATH variable detects where /bin/bash is. If not, you can always do: export PATH=$PATH:/path/to/your/shell in your ~/.bashrc file. ls stands for "list" Firefox's variable that searches for plugins is called MOZ_PLUGIN_PATH. You can see where plugins are stored for your firefox by running "echo $MOZ_PLUGIN_PATH". The way to manually install flash is to get it from adobe in the tar.gz archive and copy the libflashplayer.so file into that path. Something link "cp libflashplayer.so $MOZ_PLUGIN_PATH" should do the trick. If you've installed it via other method, you should still see the actual plugin in this path. Just run "ls $MOZ_PLUGIN_PATH" to see if the plugin is listed. You can define where plugins are stored in your bashrc file as well. I recommend leaving it in the default spot which is usually something like /usr/lib/mozilla/plugins.

You got 'command not recognized'? I assume you're running bash. You can check in the terminal by running "echo $SHELL". Most people set their shell to /bin/bash. ls should come with bash. Try running "which ls" or "man ls" to see if the $PATH variable detects where /bin/bash is. If not, you can always do: export PATH=$PATH:/path/to/your/shell in your ~/.bashrc file. ls stands for "list" Firefox's variable that searches for plugins is called MOZ_PLUGIN_PATH. You can see where plugins are stored for your firefox by running "echo $MOZ_PLUGIN_PATH". The way to manually install flash is to get it from adobe in the tar.gz archive and copy the libflashplayer.so file into that path. Something link "cp libflashplayer.so $MOZ_PLUGIN_PATH" should do the trick. If you've installed it via other method, you should still see the actual plugin in this path. Just run "ls $MOZ_PLUGIN_PATH" to see if the plugin is listed. You can define where plugins are stored in your bashrc file as well. I recommend leaving it in the default spot which is usually something like /usr/lib/mozilla/plugins.
Was dit nuttig voor u?
Citeren
cor-el
  • Top 10 Contributor
  • Moderator
17683 oplossingen 159982 antwoorden
See also: *https://www.adobe.com/software/flash/about/ *https://helpx.adobe.com/flash-player.html
Was dit nuttig voor u? 0
Citeren

Vraageigenaar

I'm sorry to have taken rather a long time to reply. A rather unexpected family funeral intruded.

I am afraid that you are assuming that I possess considerably more knowledge than I do. I managed the echo command, which showed my Shell to be set to /bin/bash. What followed meant very little to me. I'm a GUI user and resort to the command line only if I have no option.

In my case, I have managed to get Flash working, as I explained in my previous post so I no longer have a problem but if there is anything else you would like me to try please ask - but you will have to explain what you want in elementary detail .

I'm sorry to have taken rather a long time to reply. A rather unexpected family funeral intruded. I am afraid that you are assuming that I possess considerably more knowledge than I do. I managed the echo command, which showed my Shell to be set to /bin/bash. What followed meant very little to me. I'm a GUI user and resort to the command line only if I have no option. In my case, I have managed to get Flash working, as I explained in my previous post so I no longer have a problem but if there is anything else you would like me to try please ask - but you will have to explain what you want in elementary detail .
Was dit nuttig voor u?
Citeren
Zack 1 oplossingen 49 antwoorden

If you plan on using Linux long term, the terminal is a really good thing to try and learn.

If you plan on using Linux long term, the terminal is a really good thing to try and learn.
Was dit nuttig voor u?
Citeren

Vraageigenaar

I appreciate your advice and I do use the terminal for some elementary jobs, such as pinging the network servers to determine their status. I also used the 'dd' command to do some back-up disk cloning in the past. It worked perfectly on my previous version of Linux but failed disastrously on my latest release. I have no idea why it worked, nor why it failed and no one on the forum seemed to be able to enlighten me. I have concluded that the terminal is, in the main, a place for experts only and have subsequently kept well clear of it as far as possible. Apart from anything else, facility with the terminal requires a lot of work and a lot of practice, which my minimal requirements cannot justify. It might be another year or so before the next requirement will arise. As a result, whatever I learn now will almost certainly be a distant memory (or, more accurately, no memory at all) by the time I want to use it. At my level of knowledge, running a repository-only system in GUI mode seems to be by far the safest option. That meets 99.99% of my requirements. Linux is stable and reliable. Some of the utilities that run under it are decidedly less so. Libre Office Writer is an example. One utility in particular almost invariably crashes my computer as soon as the desktop icon is clicked, requiring a reboot. It has done so on both the previous releases. I reported it but no one appeared to have a clue as to the reason nor even admitted that a software bug existed. Waste of my time, really. The thought of trying to fix things from the terminal does not appeal to me. What's the old saying? "Fools rush in where angels fear to tread." OK. I'm happy to identify myself as a fool. Maybe I'm just content to have stopped Bill Gates lining his pockets at my expense.

I appreciate your advice and I do use the terminal for some elementary jobs, such as pinging the network servers to determine their status. I also used the 'dd' command to do some back-up disk cloning in the past. It worked perfectly on my previous version of Linux but failed disastrously on my latest release. I have no idea why it worked, nor why it failed and no one on the forum seemed to be able to enlighten me. I have concluded that the terminal is, in the main, a place for experts only and have subsequently kept well clear of it as far as possible. Apart from anything else, facility with the terminal requires a lot of work and a lot of practice, which my minimal requirements cannot justify. It might be another year or so before the next requirement will arise. As a result, whatever I learn now will almost certainly be a distant memory (or, more accurately, no memory at all) by the time I want to use it. At my level of knowledge, running a repository-only system in GUI mode seems to be by far the safest option. That meets 99.99% of my requirements. Linux is stable and reliable. Some of the utilities that run under it are decidedly less so. Libre Office Writer is an example. One utility in particular almost invariably crashes my computer as soon as the desktop icon is clicked, requiring a reboot. It has done so on both the previous releases. I reported it but no one appeared to have a clue as to the reason nor even admitted that a software bug existed. Waste of my time, really. The thought of trying to fix things from the terminal does not appeal to me. What's the old saying? "Fools rush in where angels fear to tread." OK. I'm happy to identify myself as a fool. Maybe I'm just content to have stopped Bill Gates lining his pockets at my expense.
Was dit nuttig voor u?
Citeren
Zack 1 oplossingen 49 antwoorden

The dd command is a place for experts only, I'd say. It's useful, but dangerous. The terminal overall is for everyone.

The dd command is a place for experts only, I'd say. It's useful, but dangerous. The terminal overall is for everyone.
Was dit nuttig voor u?
Citeren
Een vraag stellen

U moet zich aanmelden bij uw account om op berichten te antwoorden. Stel een nieuwe vraag als u nog geen account hebt.